<template>
  <div id="coverage" class="coverage">
    <ul>
      <li
style="margin-left: 10px; width: 130px"
        @click="checkCourvage(item)"
        v-for="item in itemsOne"
      >
        <div class="divli">
          <div :class="item.class" class="backimge"></div>
        </div>
        <div class="div_li">{{ $t(item.name) }}</div>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  data() {
    return {
      itemsOne: [
        {
          id: '1',
          name: 'synthesis.layer',
          class: 'a1',
        },
        // {
        //   id: "2",
        //   name: "场景打开",
        //   class: "a2",
        // },
        {
          id: '3',
          name: 'synthesis.release',
          class: 'a3',
        },
        {
          id: '2',
          name: 'synthesis.export',
          class: 'a4',
        },
      ],
    };
  },

  methods: {
    checkCourvage(res) {
      var res_val = {
        url: '',
        name: res.name,
      };
      this.$bus.$emit('changetool', res_val);
    },
  },
};
</script>

<style>
.coverage {
  width: 100%;
  height: 100%;
  position: relative;
}
.coverage li {
  list-style: none;
  float: left;
  height: 60px;
  text-align: center;
  margin: 2px;
  position: relative;
  cursor: pointer;
  margin-top: 5px;
}
.coverage ul {
  margin: 0px;
}
.a1 {
  background: url('../../assets/img/synthesis/图层 32.png') no-repeat center;
}
.a2 {
  background: url('../../assets/img/synthesis/场景打开.png') no-repeat center;
}
.a3 {
  background: url('../../assets/img/synthesis/场景发布.png') no-repeat center;
}
.a4 {
  background: url('../../assets/img/synthesis/图层 35.png') no-repeat center;
}
.backimge {
    width: 30px;
  height: 30px;
  position: absolute;
  background-size: 100% 100%;
  margin: 0 38%;
}
.divli {
  width: 100%;
  height: 50%;
  position: relative;
}
</style>
